<mat-form-field>
  <mat-label>Name Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Label Printer" #input>
</mat-form-field>


<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  <!-- Note that these columns can be defined in any order.
  The actual rendered columns are set as a property on the row definition" -->

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID </th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef>Name </th>
    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
  </ng-container>

  <ng-container matColumnDef="owner">
    <th mat-header-cell *matHeaderCellDef>Owner </th>
    <td mat-cell *matCellDef="let element"> {{element.owner.name}} </td>
  </ng-container>

  <ng-container matColumnDef="return date">
    <th mat-header-cell *matHeaderCellDef>Return date </th>
    <td mat-cell *matCellDef="let element"> {{element.returnDate}} </td>
  </ng-container>

  <ng-container matColumnDef="comment">
    <th mat-header-cell *matHeaderCellDef> Comment </th>
    <td mat-cell *matCellDef="let element"> {{element.comment}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky:true;"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>